package com.ruoyi.project.patrol.patrol.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.patrol.mapper.TPatrolIssuesMapper;
import com.ruoyi.project.patrol.patrol.domain.TPatrolIssues;
import com.ruoyi.project.patrol.patrol.service.ITPatrolIssuesService;

/**
 * 检查问题记录Service业务层处理
 *
 * @author ruoyi
 * @date 2023-09-25
 */
@Service
public class TPatrolIssuesServiceImpl implements ITPatrolIssuesService
{
    @Autowired
    private TPatrolIssuesMapper tPatrolIssuesMapper;

    /**
     * 查询检查问题记录
     *
     * @param id 检查问题记录主键
     * @return 检查问题记录
     */
    @Override
    public TPatrolIssues selectTPatrolIssuesById(Long id)
    {
        return tPatrolIssuesMapper.selectTPatrolIssuesById(id);
    }

    /**
     * 查询检查问题记录列表
     *
     * @param tPatrolIssues 检查问题记录
     * @return 检查问题记录
     */
    @Override
    public List<TPatrolIssues> selectTPatrolIssuesList(TPatrolIssues tPatrolIssues)
    {
        return tPatrolIssuesMapper.selectTPatrolIssuesList(tPatrolIssues);
    }

    /**
     * 新增检查问题记录
     *
     * @param tPatrolIssues 检查问题记录
     * @return 结果
     */
    @Override
    public int insertTPatrolIssues(TPatrolIssues tPatrolIssues)
    {
        return tPatrolIssuesMapper.insertTPatrolIssues(tPatrolIssues);
    }

    /**
     * 修改检查问题记录
     *
     * @param tPatrolIssues 检查问题记录
     * @return 结果
     */
    @Override
    public int updateTPatrolIssues(TPatrolIssues tPatrolIssues)
    {
        return tPatrolIssuesMapper.updateTPatrolIssues(tPatrolIssues);
    }

    /**
     * 批量删除检查问题记录
     *
     * @param ids 需要删除的检查问题记录主键
     * @return 结果
     */
    @Override
    public int deleteTPatrolIssuesByIds(Long[] ids)
    {
        return tPatrolIssuesMapper.deleteTPatrolIssuesByIds(ids);
    }

    /**
     * 删除检查问题记录信息
     *
     * @param id 检查问题记录主键
     * @return 结果
     */
    @Override
    public int deleteTPatrolIssuesById(Long id)
    {
        return tPatrolIssuesMapper.deleteTPatrolIssuesById(id);
    }
}
